import PropTypes from 'prop-types';
import classes from './styles.module.scss';

/**
 * Text inside a module.
 */
const ModuleInnerText = function ModuleInnerText(props) {
  const {
    children
  } = props;
  return <div className={classes.text}>
      {children}
    </div>;
};
ModuleInnerText.defaultProps = {
  children: undefined
};
ModuleInnerText.propTypes = {
  /**
   * The contents of the text.
   */
  children: PropTypes.oneOfType([PropTypes.node, PropTypes.arrayOf(PropTypes.node)])
};
export default ModuleInnerText;